Home Php C# Sql C C++ Javascript Python Java Go Android Git Linux Asp.net Django .net Node.js Ios Xcode Cocoa Iphone Mysql Tomcat Mongodb Bash Objective-c Scala Visual-studio Apache Elasticsearch Jar Eclipse Jquery Ruby-on-rails Ruby Rubygems Android-studio Spring Lua Sqlite Emacs Ubuntu Perl Docker Swift Amazon-web-services Svn Html Ajax Xml Java-ee Maven Intellij-idea Rvm Macos Unix Css Ipad Postgresql Css3 Json Windows-server Vue.js Typescript Oracle Hibernate Internet-explorer Github Tensorflow Laravel Symfony Redis Html5 Google-app-engine Nginx Firefox Sqlalchemy Lucene Erlang Flask Vim Solr Webview Facebook Zend-framework Virtualenv Nosql Ide Twitter Safari Flutter Bundle Phonegap Centos Sphinx Actionscript Tornado Register | Login | Edit Tags | New Questions | 繁体 | 简体


10 questions online user: 6

0
votes
answers
52 views
+10

使用Conda開發添加源代碼模塊不解析conda包

0

我有一個要求,使用它的源目錄導入依賴項。 (名稱被混淆,因爲這是爲了工作)。使用Conda開發添加源代碼模塊不解析conda包

所以我用conda develop這增加了在站點包

[[email protected] folder]$ conda develop /path/to/source/ 
added /path/to/source/ 
completed operation for: /path/to/source/ 

新的模塊解決,當我運行使用python.py的代碼conda.pth文件,但後來它不解決暢達本身的依賴。即:

(dq) [[email protected]]$ python file.py 
Traceback (most recent call last): 
    File "file.py", line 10, in <module> 
    import utils as utils 
*... 
Various stack trace with import getting resolved 
...* 
    import Pyro.errors 
ImportError: No module named errors 

所以火焰兵是安裝在DQ暢達環境中的包,但通過通過conda develop進口源代碼的某些原因,它無法找到導入。我不確定這是否是一個問題,但代碼開發人員也有巧妙的想法,即命名模塊Pyro.py,然後在模塊的頂部導入Pyro.errors。有沒有辦法讓conda導入優先於源代碼?或者首先解決?

在此先感謝您的幫助!

+0

您是否在'dq'環境中安裝了源模塊?另外,什麼是'python.py'? 「conda本身的依賴」是什麼意思?如果您正在運行的文件名爲「Pyro.py」,那麼錯誤也可能是由於您提到的原因導致的。 – darthbith

+0

'python.py'是運行燒瓶應用程序的模塊。相信我,我很想改變那個愚蠢的模塊的名字,但我不能,它是共享驅動器上的另一個代碼庫。 –

沙发
0
0

也許你應該從Jupyter所示的康達頁的Python你一起工作的包更改爲另一個新還是舊,一個如本photo

0
votes
answers
94 views
+10

Tensorflow GPU的錯誤:InvalidArgumentError:無法分配裝置操作「MATMUL」

0

我使用tensorflow網站上給出的測試代碼測試tensorflow與GPU在水蟒:Tensorflow GPU的錯誤:InvalidArgumentError:無法分配裝置操作「MATMUL」

import tensorflow as tf 
with tf.device('/device:GPU:0'): 
    a = tf.constant([1,2,3,4,5,6],shape=[2,3],name='a') 
    b = tf.constant([1,2,3,4,5,6],shape=[3,2],name='b') 
    c = tf.matmul(a,b) 
sess = tf.Session(config=tf.ConfigProto(log_device_placement=True)) 
print(sess.run(c)) 

我創建蟒蛇環境使用pip install tensorflow-gpu安裝tensorflow + gpu。 IPython的筆記本電腦被用來執行上面的代碼,並不斷收到錯誤

InvalidArgumentError: Cannot assign a device for operation 'MatMul': Could not satisfy explicit device specification '/device:GPU:0' because no supported kernel for GPU devices is available. 
    [[Node: MatMul = MatMul[T=DT_INT32, transpose_a=false, transpose_b=false, _device="/device:GPU:0"](a, b)]] 

看來MatMul運營商無法在GPU上進行加載。我不知道爲什麼沒有支持GPU設備的內核,因爲正確安裝了cuda和cudNN。否則,tensorflow消息顯示gpu被識別:

name: GeForce GTX 1080 Ti 
major: 6 minor: 1 memoryClockRate (GHz) 1.683 
pciBusID 0000:02:00.0 
Total memory: 10.91GiB 
Free memory: 10.75GiB 
2017-11-17 19:12:50.212054: W tensorflow/stream_executor/cuda/cuda_driver.cc:523] A non-primary context 0x55a56f0c2420 exists before initializing the StreamExecutor. We haven't verified StreamExecutor works with that. 
2017-11-17 19:12:50.213035: I tensorflow/core/common_runtime/gpu/gpu_device.cc:955] Found device 1 with properties: 
name: GeForce GTX 1080 Ti 
major: 6 minor: 1 memoryClockRate (GHz) 1.683 
pciBusID 0000:82:00.0 
Total memory: 10.91GiB 
Free memory: 10.75GiB 
2017-11-17 19:12:50.213089: I tensorflow/core/common_runtime/gpu/gpu_device.cc:847] Peer access not supported between device ordinals 0 and 1 
2017-11-17 19:12:50.213108: I tensorflow/core/common_runtime/gpu/gpu_device.cc:847] Peer access not supported between device ordinals 1 and 0 
2017-11-17 19:12:50.213132: I tensorflow/core/common_runtime/gpu/gpu_device.cc:976] DMA: 0 1 
2017-11-17 19:12:50.213148: I tensorflow/core/common_runtime/gpu/gpu_device.cc:986] 0: Y N 
2017-11-17 19:12:50.213156: I tensorflow/core/common_runtime/gpu/gpu_device.cc:986] 1: N Y 
2017-11-17 19:12:50.213169: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1045] Creating TensorFlow device (/gpu:0) -> (device: 0, name: GeForce GTX 1080 Ti, pci bus id: 0000:02:00.0) 
2017-11-17 19:12:50.213179: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1045] Creating TensorFlow device (/gpu:1) -> (device: 1, name: GeForce GTX 1080 Ti, pci bus id: 0000:82:00.0) 
Device mapping: 
/job:localhost/replica:0/task:0/gpu:0 -> device: 0, name: GeForce GTX 1080 Ti, pci bus id: 0000:02:00.0 
/job:localhost/replica:0/task:0/gpu:1 -> device: 1, name: GeForce GTX 1080 Ti, pci bus id: 0000:82:00.0 
2017-11-17 19:12:50.471348: I tensorflow/core/common_runtime/direct_session.cc:300] Device mapping: 
/job:localhost/replica:0/task:0/gpu:0 -> device: 0, name: GeForce GTX 1080 Ti, pci bus id: 0000:02:00.0 
/job:localhost/replica:0/task:0/gpu:1 -> device: 1, name: GeForce GTX 1080 Ti, pci bus id: 0000:82:00.0 

有兩個gpus,它們都遇到了同樣的問題。 cuda和cudnn庫安裝正確,環境變量設置在anaconda中。 cuda示例(deviceQuery)代碼能夠被編譯並且運行時沒有錯誤,並且顯示result = pass。否則,可以在CPU上加載Matmul並完成計算。程序中的變量ab能夠加載到GPU設備上。給予tensorflow消息:

2017-11-17 20:27:25.965655: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1045] Creating TensorFlow device (/gpu:0) -> (device: 0, name: GeForce GTX 1080 Ti, pci bus id: 0000:02:00.0) 
2017-11-17 20:27:25.965665: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1045] Creating TensorFlow device (/gpu:1) -> (device: 1, name: GeForce GTX 1080 Ti, pci bus id: 0000:82:00.0) 
Device mapping: 
/job:localhost/replica:0/task:0/gpu:0 -> device: 0, name: GeForce GTX 1080 Ti, pci bus id: 0000:02:00.0 
/job:localhost/replica:0/task:0/gpu:1 -> device: 1, name: GeForce GTX 1080 Ti, pci bus id: 0000:82:00.0 
2017-11-17 20:27:26.228395: I tensorflow/core/common_runtime/direct_session.cc:300] Device mapping: 
/job:localhost/replica:0/task:0/gpu:0 -> device: 0, name: GeForce GTX 1080 Ti, pci bus id: 0000:02:00.0 
/job:localhost/replica:0/task:0/gpu:1 -> device: 1, name: GeForce GTX 1080 Ti, pci bus id: 0000:82:00.0 

MatMul: (MatMul): /job:localhost/replica:0/task:0/cpu:0 
2017-11-17 20:27:26.229489: I tensorflow/core/common_runtime/simple_placer.cc:872] MatMul: (MatMul)/job:localhost/replica:0/task:0/cpu:0 
b: (Const): /job:localhost/replica:0/task:0/gpu:0 
2017-11-17 20:27:26.229512: I tensorflow/core/common_runtime/simple_placer.cc:872] b: (Const)/job:localhost/replica:0/task:0/gpu:0 
a: (Const): /job:localhost/replica:0/task:0/gpu:0 
2017-11-17 20:27:26.229526: I tensorflow/core/common_runtime/simple_placer.cc:872] a: (Const)/job:localhost/replica:0/task:0/gpu:0 

我重新安裝了nvidia驅動,CUDA和蟒蛇幾次,但從來沒有解決這個問題。如果有任何建議,這將是非常好的。

  • OS平臺及分銷:Linux操作系統Ubuntu 16.04
  • 安裝TensorFlow:二進制
  • TensorFlow版本:1.3
  • Python版本:2.7.14
  • GCC/Compiler版本(如果從源代碼編譯):5.4.0
  • NVIDIA驅動程序:384.98
  • CUDA/cuDNN版本:CUDA 8.0/6.0 cuDNN
  • GPU型號和內存:的Geforce 1080Ti
沙发
0
0

你嘗試在GPU上使用tf.int32DT_INT32)數據類型來生成多張張數。錯誤消息是說GPU不支持乘以DT_INT32張量。

注意的是,網站上的代碼被使用浮動張量(tf.float32)(假設你在https://www.tensorflow.org/tutorials/using_gpu談論代碼)

發生變化:

a = tf.constant([1,2,3,4,5,6],shape=[2,3],name='a') 

到:

a = tf.constant([1.,2.,3.,4.,5.,6.],shape=[2,3],name='a') 

或者:

a = tf.constant([1,2,3,4,5,6],shape=[2,3],name='a',dtype=tf.float32) 

b類似,應該使錯誤消失,因爲肯定有支持GPU上float32張量矩陣乘法的內核。

希望有所幫助。

+0

很好的解釋。它已經解決了,謝謝! – Xinzhou

0
votes
answers
60 views
+10

在實現RenderTree函數時,python 3.5 conda中的Unicode錯誤

0

我使用anytree包來創建樹。在實現RenderTree函數時,python 3.5 conda中的Unicode錯誤

udo = Node("Udo") 
marc = Node("Marc", parent=udo) 
print(RenderTree(udo)) 

在使用RenderTree功能,我得到的unicode如下錯誤:

Traceback (most recent call last): File "C:UsersNeelakshiworkspaceLogisticRegressionTypeHierarchyTest.py", line 16, in print(RenderTree(udo)) File "C:Miniconda3envsPython35libencodingscp1252.py", line 19, in encode return codecs.charmap_encode(input,self.errors,encoding_table)[0] UnicodeEncodeError: 'charmap' codec can't encode characters in position 14-16: character maps to

我也有類似的線程這個問題,但無法找到它的解決方案。我從eclipse運行這個示例程序,而不是從命令行運行。以下是封裝詳細信息:

python: 3.5.1 
conda: 4.3.24 
沙发
0
0

我通過將Eclipse編碼設置更改爲Utf-8來解決了此問題。之前是cp1252。

0
votes
answers
36 views
+10

Tensorflow安裝目錄與有「讀anaconda3蟒蛇3.5超時錯誤」

1

我試圖使用python3.6和蟒蛇3 安裝tensorflow-GPU 我跟隨下面的鏈接https://www.tensorflow.org/install/install_windowsTensorflow安裝目錄與有「讀anaconda3蟒蛇3.5超時錯誤」

的安裝目錄步驟1-我已Createed通過調用以下命令名爲tensorflow一個康達環境:

C:>康達創建-n tensorflow蟒= 3.6

2-然後通過發出激活所述康達環境以下命令:

C:>激活tensorflow (tensorflow)C:>

正在添加但對於最終步驟安裝TensorFlow我的康達環境內。使用命令PIP安裝安裝 - 忽略--upgrade tensorflow-GPU 我得到的錯誤

(C:UsersChaymaeAnaconda3) C:WINDOWSsystem32>activate tensorflow 

(tensorflow) C:WINDOWSsystem32>pip install --ignore-installed --upgrade tensorflow-gpu 
Collecting tensorflow-gpu 
    Downloading tensorflow_gpu-1.4.0-cp36-cp36m-win_amd64.whl (67.6MB) 
    25% |████████      | 16.9MB 5.3kB/s eta 2:38:22Exception: 
Traceback (most recent call last): 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespip\_vendorurllib3
esponse.py", line 302, in _error_catcher 
    yield 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespip\_vendorurllib3
esponse.py", line 384, in read 
    data = self._fp.read(amt) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespip\_vendorcachecontrolfilewrapper.py", line 60, in read 
    data = self.__fp.read(amt) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibhttpclient.py", line 449, in read 
    n = self.readinto(b) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibhttpclient.py", line 493, in readinto 
    n = self.fp.readinto(b) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsocket.py", line 586, in readinto 
    return self._sock.recv_into(b) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibssl.py", line 1009, in recv_into 
    return self.read(nbytes, buffer) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibssl.py", line 871, in read 
    return self._sslobj.read(len, buffer) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibssl.py", line 631, in read 
    v = self._sslobj.read(len, buffer) 
socket.timeout: The read operation timed out 

During handling of the above exception, another exception occurred: 

Traceback (most recent call last): 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipasecommand.py", line 215, in main 
    status = self.run(options, args) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipcommandsinstall.py", line 335, in run 
    wb.build(autobuilding=True) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipwheel.py", line 749, in build 
    self.requirement_set.prepare_files(self.finder) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespip
eq
eq_set.py", line 380, in prepare_files 
    ignore_dependencies=self.ignore_dependencies)) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespip
eq
eq_set.py", line 620, in _prepare_file 
    session=self.session, hashes=hashes) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipdownload.py", line 821, in unpack_url 
    hashes=hashes 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipdownload.py", line 659, in unpack_http_url 
    hashes) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipdownload.py", line 882, in _download_http_url 
    _download_url(resp, link, content_file, hashes) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipdownload.py", line 603, in _download_url 
    hashes.check_against_chunks(downloaded_chunks) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespiputilshashes.py", line 46, in check_against_chunks 
    for chunk in chunks: 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipdownload.py", line 571, in written_chunks 
    for chunk in chunks: 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespiputilsui.py", line 139, in iter 
    for x in it: 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespipdownload.py", line 560, in resp_read 
    decode_content=False): 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespip\_vendorurllib3
esponse.py", line 436, in stream 
    data = self.read(amt=amt, decode_content=decode_content) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespip\_vendorurllib3
esponse.py", line 401, in read 
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibcontextlib.py", line 99, in __exit__ 
    self.gen.throw(type, value, traceback) 
    File "C:UsersChaymaeAnaconda3envs	ensorflowlibsite-packagespip\_vendorurllib3
esponse.py", line 307, in _error_catcher 
    raise ReadTimeoutError(self._pool, None, 'Read timed out.') 
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='pypi.python.org', port=443): Read timed out. 

好了後,我曾試圖安裝CPU版本,我得到了同樣的錯誤。 如果有人能幫助我會感激,我真的想開始學習tensorflow。

+0

這似乎是網絡連接錯誤。當您再次嘗試時,錯誤是否發生在完全相同的地方(5%)? – user502144

+0

不是不一樣的地方 –

+0

然後你可以嘗試再次下載,並希望連接不會中止。如果每次都失敗,可以手動下載。但爲此,你必須知道URL。您可能還需要一個可以處理不穩定的Internet連接並自動恢復下載的工具。 – user502144

沙发
0
0

這只是互聯網連接不穩定的問題,它的安裝現在運行得很好

0
votes
answers
127 views
+10

運行在PIP(康達)的virtualenv不激活第一

0

正如書名,我已經創造了一些ENV中暢達像這樣運行在PIP(康達)的virtualenv不激活第一

conda create -n myenv python=2.7 

我想一個命令來運行pip install的包膜內沒有做首先是source activate myenv。這可能嗎?我相信我使用任何方法將不得不制定出PATH等

+0

默認情況下,在'/ path/to/anaconda/envs/env-name'處創建環境,您可以在那裏查看。你爲什麼需要這樣做? – darthbith

沙发
0
0

假設你在Bash shell環境中使用蟒蛇,其中一個方案是爲您創建的虛擬環境中添加水蟒bin路徑到您的PATH變量這樣一個命令,即虛擬環境中的pip二進制位於系統pip之前。

如果蟒蛇虛擬環境位於默認.conda目錄在你的home目錄,你可以做到這一點,如下所示:

export PATH=~/.conda/envs/myenv/bin:$PATH 

如果你想這是你的shell環境的默認行爲,您可以添加上面的命令給你的~/.bashrc文件。

此方法類似於爲設置PATH變量而建議的方法,以使您能夠在「根」環境detailed in the Anaconda documentation中使用Anaconda二進制文件。

0
votes
answers
48 views
+10

Python中的圖形與「用Python做數學」

0

我在嘗試做「用Python做數學」的第2章時遇到了麻煩。我在Mac上安裝了Anaconda和Python 3.6.3(10.13)。我嘗試運行第2章中的一個程序,並且我收到一條消息:「沒有名爲'matplotlib'的模塊」。我如何克服這個問題?Python中的圖形與「用Python做數學」

+2

解決方案:安裝matplotlib – eyllanesc

+0

https://matplotlib.org/2.1.0/users/installing.html –

沙发
0
0

matplotlib不是Python標準庫的一部分。您需要手動安裝它。這很容易。我建議你按照這個offiical guide。嘗試在你的終端應用程序中運行以下命令:

python -mpip install -U pip 
python -mpip install -U matplotlib 
+0

我在終端響應得到這個: [致命Python錯誤:Py_Initialize:無法加載文件系統編解碼器 LookupError:未註冊編解碼器搜索功能:找不到編碼 當前線程0x00007fff89cac340(最近呼叫優先): 中止陷阱:6 –

0
votes
answers
41 views
+10

如何升級到最新的Anaconda 5.0.1

3

我有Anaconda 4.4.0(Windows,Python 3.6.64位)。 我想升級到最新的5.0.1蟒蛇如何升級到最新的Anaconda 5.0.1

幾個選項:

  1. 下載完整安裝程序並運行它
  2. 從現有的安裝(4.4.0的)運行「暢達更新 - 所有」
  3. 從現有的安裝運行‘暢達更新蟒蛇’

什麼是這些選項之間的權衡?推薦的是什麼?

沙发
0
2
  1. 下載完整的安裝程序:假設您卸載現有的Anaconda,這種方法最可能導致升級問題。它也可能會變慢。請注意,我認爲您應該卸載舊的Anaconda,以便最終不會得到兩個conda[.exe]文件,兩個Anaconda Prompt快捷方式等等。您最終可能會嘗試安裝錯誤的conda軟件包,並對發生的事情感到困惑。
  2. conda update --all:這會將環境中的所有軟件包更新爲最新版本,而不管它們在Anaconda安裝程序中的版本如何。建議不要這樣做,因爲最終的軟件包版本與Anaconda安裝程序中的版本不同,並且您最終可能會收到關於不兼容的軟件包的錯誤消息。
  3. conda update anaconda:這會將名爲anaconda的「元包」更新爲最新版本。這個軟件包依賴於所有軟件包的特定版本,而Anaconda(公司)則保證這些軟件都可以一起工作。因此,更新anaconda軟件包會將您的所有軟件包更新爲最新版本的Anaconda安裝程序中使用的版本。

我的建議(基於一些經驗,我不是Anaconda的僱員)將嘗試#3,如果失敗,請嘗試#1。

+0

*你可能會得到不兼容的軟件包*不,你不會。 conda軟件包管理器將確保它們彼此兼容。 –

+0

@PaulH conda解決方案並不完美,當它有很多包來嘗試升級時,更有可能是一個問題。在任何情況下,即使它不安裝不兼容的軟件包,如果不兼容,您最終會得到一個極其罕見的錯誤消息 – darthbith

+0

,特別是在軟件包與「anaconda」中的軟件一樣受歡迎且維護良好的情況下,元軟件包 –

0
votes
answers
48 views
+10

蟒蛇包安裝:包在當前雙贏的32個信道

0
失蹤

我試圖用anaconda.In蟒蛇提示,我給安裝PyML-0.7.14蟒蛇包安裝:包在當前雙贏的32個信道

  1. conda install pyml-0.7.14
  2. conda install pyml
  3. conda install pyml=0.7.14

其中每個給出錯誤:

Package missing in current win-32 channels.

我還試圖安裝使用pip

  • pip install pyml
  • 但它給:

    could not find a version that satisfies the requirement. PyML available on anaconda cloud is for 64 bit only.

    沙发
    0
    0

    不幸的是,沒有一個版本用於32位Python發行版的PyML。

    您需要安裝64位版本的python才能使用PyML。你可以在Anaconda Windows downloads頁面找到它。

    此外,在anaconda雲上PyML的當前最新版本似乎是0.2.2。在PyML tutorial之後,可能會從源代碼安裝PyML,但我不會對它下注。

    +0

    我可以安裝它沒有anaconda?僅使用Python。 – arpit115

    +0

    本教程中的說明不使用Anaconda – Grr

    0
    votes
    answers
    54 views
    +10

    獅身人面像在Anaconda下運行,但我的Django項目在Python 3.5.2下

    0

    我triyng用獅身人面像來記錄我的django項目,但我遇到了一些麻煩。獅身人面像在Anaconda下運行,但我的Django項目在Python 3.5.2下

    當我運行make html命令我得到這個錯誤:

    /home/santoryu/richiestaTesi/docs/models/models.rst:3: WARNING: autodoc: 
    failed to import module u'myapp.models'; the following exception was 
    raised: 
    Traceback (most recent call last): 
        File "/home/santoryu/anaconda2/lib/python2.7/site-packages/Sphinx- 
    1.5.6-py2.7.egg/sphinx/ext/autodoc.py", line 560, in import_object 
    __import__(self.modname) 
        File "/home/santoryu/richiestaTesi/myapp/models.py", line 8 
    SyntaxError: Non-ASCII character 'xc3' in file 
    /home/santoryu/richiestaTesi/myapp/models.py on line 8, but no encoding 
    declared; see http://python.org/dev/peps/pep-0263/ for details 
    

    很明顯的錯誤發生,因爲蟒蛇非ASCII字符本身不支持,但在Python 3.5.2他們。所以我猜如何強制Python 3.5.2執行Sphinx?

    +0

    項目被記錄python 3特定? –

    沙发
    0
    2

    錯誤消息表明您已將Sphinx安裝到Python 2.7虛擬環境中。

    File "/home/santoryu/anaconda2/lib/python2.7/site-packages/Sphinx- 
    1.5.6-py2.7.egg/sphinx/ext/autodoc.py", line 560, in import_object 
    __import__(self.modname) 
    

    您也可以爲Python 2.7而不是3.6安裝Anaconda。

    確保您下載並安裝了適用於Python 3.6的Anaconda並且您的use Anaconda to create a virtual environment using Python 3.6用於安裝Sphinx。

    0
    votes
    answers
    58 views
    +10

    Ubuntu 16.04 Spyder 3.2.4快捷方式Ctrl + 1不能正常工作

    1

    我在Ubuntu 16.04上安裝Spyder 3.2.4時出現了一個奇怪的問題。 在編輯工作中的「打開註釋」命令,從菜單調用時,但不與它對應的快捷Ubuntu 16.04 Spyder 3.2.4快捷方式Ctrl + 1不能正常工作

    按Ctrl +

    我試圖更改快捷方式,試圖卸載Anaconda並重新安裝它,但該快捷方式仍然無法正常工作。

    P.S.與Ctrl其他快捷方式也沒有工作。

    +0

    快捷方式是否在操作系統級別執行某些操作? –

    +0

    您的意思是:Spyder的快捷方式是否可行?如果這是你的問題,那麼是的,這個快捷方式適用於任何其他打算做某事的軟件。另外,試圖重新定義Spyder中的快捷鍵會導致崩潰。 – Henry

    +0

    我的意思是如果Ctrl + 1在Unity中有效果。 –

    沙发
    0
    1

    好吧,它似乎是與Ubuntu 16.04上的Spyder中的快捷方式有關的錯誤。該問題可在以下網址找到: https://github.com/spyder-ide/spyder/issues/5426 並且至今仍然開放。仍然沒有3.2.5

    UPDATE工作09年1月'18:在12月28日

    UPDATE我發現我需要推動轉變,使快捷方式工作,使通過Spyder的首選項中定義的快捷鍵

    Ctrl+1 
    

    作品上打字1月10日'18

    Ctrl+Shift+1 
    

    更新:在3.2.6版本中,快捷方式可以重新定義和Spyder的不會崩潰。